std::is_move_constructible< _Tp > Struct Template Reference
Utilities » Metaprogramming

Inherits std::__is_move_constructible_impl< _Tp, bool >.

Inherited by std::__is_move_insertable< allocator< _Tp > >.

## Detailed Description

### template<typename _Tp>
struct std::is_move_constructible< _Tp >

is_move_constructible

Definition at line 925 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits